Eclipse Remote Application Platform

## org.eclipse.rap.rwt.application
Interface EntryPointFactory

All Known Subinterfaces:
  IEntryPointFactory

    public interface EntryPointFactory

Implementations of this interface can be used to register entrypoints with the framework. It is also possible to register the class that implements `EntryPoint` directly, but using a factory provides more flexibility as it leaves the creation of the class to the application.

Since:
  2.0

Method Summary
`EntryPoint` `create()` Creates a new entrypoint instance.

Method Detail

### create

    EntryPoint create()

  Creates a new entrypoint instance. This method will be called by the framework for every UI session. Implementations must provide a new instance every time this method is called.

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0